# How to limit the number of trial license keys a customer can use

We've added the ability to limit the number of trials for a given client. Note that this only works for trial licenses that require activation.

To use this feature, you need to upgrade to QLM 7.0.14103.x or higher.

On the License Server, you need to configure the following settings:

* Go to the Manage Keys tab
* Click Sites and select your site
* Go to the Server Properties tab
* Set: enforceMaxTrialsWhenActivating: true
* Set: numberOfTrialLicensesAllowedPerClient: -1 (means infinite) or any value >= 0
* Set: countRevokedTrials to true to take into account revoked trials.
* Set: enforceMaxTrialsMatchComputerIDOnly to true if you want to match against the computer ID only. By default, QLM tries to match both the computerID and computerName.

The feature works as follows: when a client tries to actviate a trial license, we check in the database if another client with the same computerID and computerName has a trial license already registered. If yes, then the numberOfTrialLicensesAllowedPerClient value is verified and the activation request is rejected if the threshold has been exceeded.

Notes:

* There is a potential for conflict if 2 customers have the same computerID and computerName.
* These settings only take effect if the LicenseModel is "trial"


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/how-to/how-to-limit-the-number-of-trial-license-keys-a-customer-can-use.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
